# Delete an order data extension

Deletes the data extension for an order, including all the key-value pairs in the data extension.

To delete certain key-value pairs only, use the Delete key-value pairs from a data extension endpoint instead.

Endpoint: DELETE /v2.1/orders/{orderRef}/extensions/{dataExtensionName}
Version: v2.1
Security: BasicAuth

## Path parameters:

  - `orderRef` (string, required)
    The order reference. This is a unique identifier of the order record. Automatically generated when you created the order. If you don't know the order reference, first list orders.
    Example: "2d7de9df-45a2-45ea-872c-30e45139007d"

  - `dataExtensionName` (string, required)
    The name of the data extension. Set this to ext.
    Example: "ext"

## Response 404 fields (application/json):

  - `status` (integer)
    The HTTP request status.
    Example: 404

  - `code` (integer)
    The HTTP response status code.
    Example: 404

  - `message` (string)
    Error description.
    Example: "The specified resource does not exist."

  - `developerMessage` (string)
    Error description for developers.
    Example: "Data extension ext2 for Guest ref ea9b4612-3488-47d9-beea-17404876f5d6 and client key ... was not found for v2.1"

  - `moreInfoUrl` (string)
    URL to get more information about the error.
    Example: "https://support.sitecore.com"


## Response 200 fields
